import elliptic from 'elliptic';

// src/utils/keyUtils.ts
var { ec: EC } = elliptic;
var privateKeyToDid = async (args) => {
  const { privateKey, didMethod } = args;
  const ctx = new EC("secp256k1");
  const ecPrivateKey = ctx.keyFromPrivate(privateKey);
  const compactPublicKey = `0x${ecPrivateKey.getPublic(true, "hex")}`;
  const did = `${didMethod}:${compactPublicKey}`;
  return {
    success: true,
    data: {
      did
    }
  };
};

export { privateKeyToDid };
